﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ContactLibrary
{
    public class Person
    {
        public int PersonID { get; set; }

        [DisplayName("First name")]
        [MaxLength(10)]
        [MinLength(3)]
        public String FirstName { get; set; }
        [DisplayName("Last name")]
        [MaxLength(10)]
        [MinLength(3)]
        public String LastName { get; set; }

        public virtual List<Contact> Contacts { get; set; }

        [DisplayName("Persons full name")]
        [NotMapped]
        public String FirstLastName
        {
            get { return FirstName + " " + LastName; }
        }

        [DisplayName("Persons full name")]
        [NotMapped]
        public String LastFirstName
        {
            get { return LastName + " " + FirstName; }
        }
    }
}
