﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ContactLibrary;
using DAL.Interfaces;

namespace DAL
{
    public class DataBaseContext : DbContext, IDbContext
    {
        private readonly NLog.Logger _logger =
NLog.LogManager.GetCurrentClassLogger();
        private readonly string _instanceId = Guid.NewGuid().ToString();
        // _logger.Info("InstanceId: " +_instanceId);


        public DataBaseContext()
            : base("DbConnectionString")
        {
            _logger.Info("InstanceId: " + _instanceId);
            Database.SetInitializer(
                new DropCreateDatabaseIfModelChanges<DataBaseContext>());
        }
        public DbSet<Person> Persons { get; set; }
        public DbSet<Contact> Contacts { get; set; }
        public DbSet<ContactType> ContactTypes { get; set; }

        protected override void Dispose(bool disposing)
        {
            _logger.Info("InstanceId: " + _instanceId);
            base.Dispose(disposing);
        }
    }
}
