﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http;
using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;

namespace WebApiApp
{
    public class WebApiApplication : System.Web.HttpApplication
    {
        private readonly NLog.Logger _logger =
    NLog.LogManager.GetCurrentClassLogger();
        private readonly string _instanceId = Guid.NewGuid().ToString();
        // _logger.Info("InstanceId: " +_instanceId);

        public WebApiApplication()
        {
            _logger.Info("InstanceId: " + _instanceId);
        }

        protected void Application_BeginRequest()
        {
            _logger.Info(
                    "_instanceId: " + _instanceId +
                    " URL(" + HttpContext.Current.Request.RequestType + "): " +
                    HttpContext.Current.Request.RawUrl);
        }

        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();
            GlobalConfiguration.Configure(WebApiConfig.Register);
            FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters);
            RouteConfig.RegisterRoutes(RouteTable.Routes);
            BundleConfig.RegisterBundles(BundleTable.Bundles);
        }
    }
}
